# CylinderGeometry

#### new Cesium.CylinderGeometry(options)
Core/CylinderGeometry.js 51

A description of a cylinder.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`length` | Number |  | The length of the cylinder.
`topRadius` | Number |  | The radius of the top of the cylinder.
`bottomRadius` | Number |  | The radius of the bottom of the cylinder.
`slices` | Number | `128` | optional The number of edges around the perimeter of the cylinder.
`vertexFormat` | VertexFormat | `VertexFormat.DEFAULT` | optional The vertex attributes to be computed.

##### Throws:

- DeveloperError : options.slices must be greater than or equal to 3.

##### Example:

    // create cylinder geometry
    var cylinder = new Cesium.CylinderGeometry({
        length: 200000,
        topRadius: 80000,
        bottomRadius: 200000,
    });
    var geometry = Cesium.CylinderGeometry.createGeometry(cylinder);

##### See:

- CylinderGeometry.createGeometry

### Members

#### static Cesium.CylinderGeometry.packedLength : Number
Core/CylinderGeometry.js 98

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.CylinderGeometry.createGeometry(cylinderGeometry) → Geometry|undefined
Core/CylinderGeometry.js 200

Computes the geometric representation of a cylinder, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`cylinderGeometry` | CylinderGeometry | A description of the cylinder.

##### Returns:

The computed vertices and indices.

#### static Cesium.CylinderGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/CylinderGeometry.js 109

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | CylinderGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.CylinderGeometry.unpack(array, startingIndex, result) → CylinderGeometry
Core/CylinderGeometry.js 151

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | CylinderGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new CylinderGeometry instance if one was not provided.